Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop.defaults
Class AspectsComponentAdapterFactory

    java.lang.Object
      org.picocontainer.defaults.MonitoringComponentAdapterFactory
          org.picocontainer.defaults.DecoratingComponentAdapterFactory
              org.nanocontainer.aop.defaults.AspectsComponentAdapterFactory

All Implemented Interfaces:
  Serializable, org.picocontainer.defaults.ComponentAdapterFactory, org.picocontainer.defaults.ComponentMonitorStrategy

    public class AspectsComponentAdapterFactory

extends org.picocontainer.defaults.DecoratingComponentAdapterFactory

Produces component adapters that apply aspects to components.

Version:
  $Revision: 3144 $
Author:
  Stephen Molitor
See Also:
  Serialized Form

Constructor Summary
`AspectsComponentAdapterFactory(AspectsApplicator aspectsApplicator)` Creates a new `AspectsComponentAdapterFactory`.
`AspectsComponentAdapterFactory(AspectsApplicator aspectsApplicator, org.picocontainer.defaults.ComponentAdapterFactory delegate)` Creates a new `AspectsComponentAdapterFactory`.

Method Summary
`org.picocontainer.ComponentAdapter` | `createComponentAdapter(Object componentKey, Class componentImplementation, org.picocontainer.Parameter[] parameters)`

Methods inherited from class org.picocontainer.defaults.MonitoringComponentAdapterFactory
`changeMonitor, currentMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectsComponentAdapterFactory

    public AspectsComponentAdapterFactory(AspectsApplicator aspectsApplicator,
                                          org.picocontainer.defaults.ComponentAdapterFactory delegate)

  Creates a new `AspectsComponentAdapterFactory`. The factory will produce `AspectsComponentAdapter` objects that will use `aspectsApplicator` to apply aspects to components produced by `delegate`.

  Parameters:
    `aspectsApplicator` - used to apply the aspects.
    `delegate` - the real component adapter factory that this factory delegates to.

### AspectsComponentAdapterFactory

    public AspectsComponentAdapterFactory(AspectsApplicator aspectsApplicator)

  Creates a new `AspectsComponentAdapterFactory`. The factory will produce `AspectsComponentAdapter` objects that will use `aspectsApplicator` to apply aspects to components produced by a `org.picocontainer.defaults.DefaultComponentAdapterFactory`.

  Parameters:
    `aspectsApplicator` - used to apply the aspects.

Method Detail

### createComponentAdapter

    public org.picocontainer.ComponentAdapter createComponentAdapter(Object componentKey,
                                                                     Class componentImplementation,
                                                                     org.picocontainer.Parameter[] parameters)
                                                              throws org.picocontainer.PicoIntrospectionException,
                                                                     org.picocontainer.defaults.AssignabilityRegistrationException,
                                                                     org.picocontainer.defaults.NotConcreteRegistrationException

  Specified by:
    `createComponentAdapter` in interface `org.picocontainer.defaults.ComponentAdapterFactory`
  Overrides:
    `createComponentAdapter` in class `org.picocontainer.defaults.DecoratingComponentAdapterFactory`
  Throws:
    `org.picocontainer.PicoIntrospectionException`
    `org.picocontainer.defaults.AssignabilityRegistrationException`
    `org.picocontainer.defaults.NotConcreteRegistrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.